Bug 781779 - [abrt] gedit-3.2.6-1.fc16: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.2.6-1.fc16: Process /usr/bin/gedit was killed by signal 11 (SI...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:16b59ed8fea9f7666d90839985a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-15 00:26 EST by Meyer S. Jacobs
Modified: 2013-02-13 16:59 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:59:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (10.93 KB, text/plain)
2012-01-15 00:26 EST, Meyer S. Jacobs
no flags Details
File: smolt_data (5.24 KB, text/plain)
2012-01-15 00:26 EST, Meyer S. Jacobs
no flags Details
File: maps (44.63 KB, text/plain)
2012-01-15 00:26 EST, Meyer S. Jacobs
no flags Details
File: backtrace (34.84 KB, text/plain)
2012-01-15 00:26 EST, Meyer S. Jacobs
no flags Details

  None (edit)
Description Meyer S. Jacobs 2012-01-15 00:26:51 EST
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gedit
comment:        Checked and unchecked the "Code Assistance" (using clang, I think) plugin for Gedit quickly in sequence. (Using official Fedora repository Gedit + Gedit plugins).
crash_function: gcp_scrollbar_marker_construct
executable:     /usr/bin/gedit
kernel:         3.1.8-2.fc16.x86_64
pid:            4009
pwd:            /home/meyer
reason:         Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
time:           Sat 14 Jan 2012 09:20:25 PM PST
uid:            1000
username:       meyer

backtrace:      Text file, 35679 bytes
dso_list:       Text file, 11188 bytes
maps:           Text file, 45698 bytes
smolt_data:     Text file, 5369 bytes

build_ids:
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:2c2ffe21d64ba02aefe6acb804a4ea68318609fd
:1332ce2a80617b06728747396fd63342b6f87df8
:ca67540caa8e73e3597e279d61b832ff86fc990b
:e3c88cb9ea428bd61f4064dbd53acae2d396a1ec
:5e8c36ca13a4af14fa6b1b45a0dbfb43ed6aed6e
:d0c6e13f00a20952a72a945c929efb175fd760e3
:c124e79ca47fee27b34b962e8144fd5ae98f1dae
:30af62b93e2ab7dbaf39c52e346cd52101b4b590
:edebfad67bdac472272d049dc7ec302f47b02f32
:638db099ff5fb986d1a092629d1bb1dca5be4904
:44ece411beb2ef1acdb5eb2161666de41cc2f31d
:aaf62304b0fc10611d35b4f56005479d4c58868d
:8acc43df965b3c0a70dcfad11c0ade056bdb055b
:f9fea7527e0deebd694acc251008975312a3f74a
:7994f114cf7189e482f2665fae8e351ed8bc05e3
:400444fb368f79b54959b083f449a1497bf71c13
:1d1e7527a6b5fd829fe8c097bea4c62b2d0f2df9
:2639b5594fe4d7897db63ecd1ebb9681438317a8
:e5d7ac2dfe435e205e491f7ce827563859fca4f4
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:3e2404bd469800afd61eda83d0292a2165ef0db0
:9ea81971c14b711655ced0a734db062ab7c4eec7
:921b64859b34786348daf376801c05efbf9bac81
:30d222cbaa7087ff6613d2737d967fc570ec8a72
:545fac2346ca24589041213956b7f22f7e91c139
:5cb5f8da286abd58aeab3bd6676e661d52ec2b5d
:8b69ad2ef8adde1ffce0fd95b96972a9d7d36956
:88d586ed67ebe5227b761b4ab2e02433f29c840f
:80d1527bdbaa66a7f4467a3432a25332fb76758a
:dc998e8c1e1dc44c684b9b86e753945a868e134a
:c1d5f5ac1a648ca056beb15773ff5c2206c35fc4
:ec72f897bbac2f33aadee57e01b7e01bbed4c534
:ab59942678bcdecb23756804dcd0aac63ccc1669
:f0d50e3af2dfee021a327fb85a993a2312a98145
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:6ecc3efaedf849a17c30a67fe15b4dacca1bd981
:48aea888319e1848137073c9cbde54a4c2a731c9
:42775d7b03f3bb80f4c39e5c25851ba95a8c8f7f
:f5c5b66226da1a1365a97397b1143bebf777b7b6
:6ea1834d77aecd46b5a612e58ab05db1367770b9
:9d1209fc79304f03cc839de1c0036c61b48dfff8
:40a6a86871e94198ac5c10fa80f1dacef289a7f7
:374add1ead31ccb449779bc7ee7877de3377e5ad
:be507c791e34415e8f42f0e6030c889b2895cf9a
:87af0ff2815bf41b5c5889b916881c662ddd2569
:b3c60343c4ef09307cd644d5da914f6c14107c0b
:158ec515ad0e9fc8c9e53d2c8a52da6210888f1f
:086a89da9eda42d4accd919bf03231812aba9c25
:76f829a650e8a6613db7c254b22f9c6234bfb111
:e46beef0b430d916987f1f58d1aefc7e1a016e10
:fd8a00c88eb1fd6872e45001f9ed4e5c6172995e
:3ed9e61c2b7e707ce244816335776afa2ad0307d
:aa733447f84020c94a66814e501a36e248cbb43d
:87461d97d0ba0bd94e4d74ff0879190b67b326c5
:de272a66db7a1b50e62eaf658976bce648412179
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:8264e35452b2a930c1b9b092b87f32d42d69d8c5
:0f0c9eed63ed279ceb0aef109eff8bcbb351e4bb
:c8a4e40c84c2f52e78c64d31efc0191c565a9049
:25b834f4c4dc534708635ff1064e2fe02a366a62
:163b323da65b708418226eb5fa8b057c731d1475
:e2e67b3ae2579e1667b73ad385f61552931024e9
:0911ea7c180d733724f89037b8e8a34e64024aec
:ccadad4ec7dab3bb6abc23f9d4cdf53ff01cb235
:e302bf70b95e21dae110a703d50533497621d78e
:aa8e279c789ee4664342250eed2c6ea64f9cb3ab
:b0eabf9093defbfdd0857ea3ed1a4563b743434e
:4c842320387ff7f6f91b7842b223c16518be909f
:9fd35565043bc57e1d8bf70810b7c6b402a9be93
:07470201df55a5254027d05fa4dc509b10f2986a
:6c8f6aef9bf03bec4be1bf29e3e27b4ef0a68c56
:d460d68692c1b32346f469e0a9ab3933cf1f3d1c
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:2670385f49fb9f120f7cf843f211e3c620da8632
:b7de6967148b62ea20013920d31f0002df1426ca
:3f8e1ac221c628769e28ed4a1cfddc5d90e4aaf8
:ae2d5038d6970864ef6fe0c48be689fedbc9ee2e
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:1c6a95451ee19617be5abea3d121f0226d21ddda
:4bc56fe20c2ec4ce2466d7fa505d48f8fea5decb
:1ce8faca30462746a311e7d29b05d8da0ca5e837
:5393d882ce329cabe4ddf6bedaef1cc906664889
:5765f3882b47cf4435202acd7640876d20b44de2
:4953d1f613914126bccceb3cb96386647ffba9df
:448d2d10d463477a512dbb71a145f9b89340d477
:e5429e0905bedecc534b057783916ba43e06a66e
:3041cc91582aeebd5f4adaaa5c64250d35db22c3
:1406558950ff100eb0320a325b3ea7961ba1a775
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:650b733aecfb9c46bdfc023661f19244a278df04
:b0a2d0b4c09d819887ec7d711c8cf3977a074c4f
:a518a8b1b5c3e80dee813df05e951d205d6ac48c

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=music
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=4ae9c04b9a027245d4a8399000000015-1326603856.303749-795673009
:GNOME_KEYRING_CONTROL=/tmp/keyring-98bnIn
:IMSETTINGS_MODULE=none
:USER=meyer
:USERNAME=meyer
:MAIL=/var/spool/mail/meyer
:PATH=/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/meyer/.local/bin:/home/meyer/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/meyer
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1715
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/meyer
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=meyer
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-MgCphqYOwr,guid=282b61091f5b7a86e93f730700000039
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/meyer
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-meyer-DZ5aYP/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1720,unix/unix:/tmp/.ICE-unix/1720
:GPG_AGENT_INFO=/tmp/keyring-98bnIn/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-98bnIn/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1935-music-gedit-4_TIME1014064
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=4009

var_log_messages:
:Jan 14 18:08:04 music yum[2273]: Updated: 2:gedit-3.2.6-1.fc16.x86_64
:Jan 14 19:31:15 music yum[2229]: Installed: gedit-code-assistance-0.1.2-1.fc16.x86_64
:Jan 14 19:32:55 music yum[2229]: Installed: gedit-plugins-3.2.1-1.fc16.x86_64
:Jan 14 21:20:25 music kernel: [ 1025.154282] gedit[4009]: segfault at 10 ip 00007f4cd8a2d08a sp 00007fff19e987a0 error 4 in libgcp.so[7f4cd8a0c000+45000]
:Jan 14 21:20:26 music abrt[4014]: Saved core dump of pid 4009 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-01-14-21:20:25-4009 (40603648 bytes)

xsession_errors:
:(gedit:4009): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite: assertion `!g_type_is_a (interface_type, prerequisite_type)' failed
:(gedit:4009): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite: assertion `!g_type_is_a (interface_type, prerequisite_type)' failed
:(gedit:4009): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite: assertion `!g_type_is_a (interface_type, prerequisite_type)' failed
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpCDocumentCursorWrapper'
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpCCompileArgsCache'
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpCCompileArgsMakefile'
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpCTranslationUnit'
:(gedit:4009): GLib-GObject-CRITICAL **: g_type_interface_add_prerequisite: assertion `!g_type_is_a (interface_type, prerequisite_type)' failed
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpCSemanticValueTranslator'
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpCTranslator'
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpExpandRange'
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpScrollbarMarker'
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpScrollbarMarkerMarker'
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpBackendManager'
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpDiagnosticColors'
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpDiagnosticTags'
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpLog'
:(gedit:4009): GLib-GObject-WARNING **: cannot register existing type `GcpConfig'
:(gedit:4009): GLib-GObject-WARNING **: cannot create new instance of invalid (non-instantiatable) type `<invalid>'
:** (gedit:4009): CRITICAL **: gcp_diagnostic_tags_update_tags: assertion `self != NULL' failed
:(gedit:4009): GLib-GObject-WARNING **: cannot create new instance of invalid (non-instantiatable) type `<invalid>'
Comment 1 Meyer S. Jacobs 2012-01-15 00:26:54 EST
Created attachment 555317 [details]
File: dso_list
Comment 2 Meyer S. Jacobs 2012-01-15 00:26:55 EST
Created attachment 555318 [details]
File: smolt_data
Comment 3 Meyer S. Jacobs 2012-01-15 00:26:57 EST
Created attachment 555319 [details]
File: maps
Comment 4 Meyer S. Jacobs 2012-01-15 00:26:58 EST
Created attachment 555320 [details]
File: backtrace
Comment 5 Fedora End Of Life 2013-01-16 12:23:29 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 16:59:53 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.